'Super Quick Demo


con

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000                                          ' use 5MHz crystal

  BUTTON_PIN    = 15
  
obj
  LED   :       "TestObj"       'This is what we're using instead of the MCP2515 object

var

  long  testFlags
  long  stack[255]
  
pub main

  'LED.start                    'Initialize the direction of the LED pin
                                'This only sets the direction for the LED pin
                                'within Cog 0.  When our loop executed later in
                                'a different cog, it didn't have this direction
                                'value set.  Therefore, we must call the start
                                'method in the new cog, so we move LED.start
                                'into the autoPulseLED function below.
  
  testFlags := 0
  
  cognew(autoPulseLED, @stack)  'run the blinker in a different cog
  
  repeat                        'This is our main loop
    if(ina[BUTTON_PIN])
      testFlags := 1            'Set the flag to blink the LED
      'LED.pulse                'Blink LED (Send a message)

      

pub autoPulseLED
  LED.start                     'We must initialize the direction of the pins
                                'in this function so it will be set properly
                                'in the new cog.

  repeat                        'This is our main loop
    if(testFlags & 1)           'See if a flag has been set
      testFlags := 0            'Clear any flags
      LED.pulse                 'Blink LED (to simulate sending a message)
      

